summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Mario Preksavec2020-02-19 11:58:45 +0100
committer Willy Sudiarto Raharjo2020-02-19 11:58:45 +0100
commit11d2ff9501d23b63620f0ea795b0c0ef8fcad56a (patch)
tree8a3dcca12aa2baeb0fc09e944c1563ed92e5cbf3
parentd4e003546419613d1036ced6083a920bde5f2eed (diff)
downloadslackbuilds-11d2ff9501d23b63620f0ea795b0c0ef8fcad56a.tar.gz
network/teams: Added (Microsoft Teams for Linux).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/teams/README7
-rw-r--r--network/teams/slack-desc19
-rw-r--r--network/teams/teams.SlackBuild65
-rw-r--r--network/teams/teams.info10
4 files changed, 101 insertions, 0 deletions
diff --git a/network/teams/README b/network/teams/README
new file mode 100644
index 0000000000..c2dc393bb2
--- /dev/null
+++ b/network/teams/README
@@ -0,0 +1,7 @@
+Microsoft Teams for Linux is your chat-centered workspace in Office 365.
+Instantly access all your team’s content from a single place where
+messages, files, people and tools live together.
+
+This script repackages the Debian package provided by Microsoft.
+
+Only the 64bit version is available.
diff --git a/network/teams/slack-desc b/network/teams/slack-desc
new file mode 100644
index 0000000000..a26e534dd3
--- /dev/null
+++ b/network/teams/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+teams: teams (Microsoft Teams for Linux)
+teams:
+teams: Microsoft Teams for Linux is your chat-centered workspace in Office
+teams: 365. Instantly access all your team’s content from a single place
+teams: where messages, files, people and tools live together.
+teams:
+teams: Homepage: https://teams.microsoft.com/downloads
+teams:
+teams:
+teams:
+teams:
diff --git a/network/teams/teams.SlackBuild b/network/teams/teams.SlackBuild
new file mode 100644
index 0000000000..76e834007d
--- /dev/null
+++ b/network/teams/teams.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for teams
+
+# Copyright 2020 Mario Preksavec, Zagreb, Croatia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=teams
+VERSION=${VERSION:-1.3.00.958}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" != "x86_64" ]; then
+ echo "$ARCH is not supported."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/${PRGNAM}_${VERSION}_amd64.deb data.tar.xz | tar -xvJ
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/teams/teams.info b/network/teams/teams.info
new file mode 100644
index 0000000000..7c821d73ff
--- /dev/null
+++ b/network/teams/teams.info
@@ -0,0 +1,10 @@
+PRGNAM="teams"
+VERSION="1.3.00.958"
+HOMEPAGE="https://teams.microsoft.com/downloads"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://packages.microsoft.com/repos/ms-teams/pool/main/t/teams/teams_1.3.00.958_amd64.deb"
+MD5SUM_x86_64="a99569f085aa19f911a8d69182c312cf"
+REQUIRES=""
+MAINTAINER="Mario Preksavec"
+EMAIL="mario at slackware dot hr"